Bug 62522 - Ghost View can not print files with spaces in the name
Ghost View can not print files with spaces in the name
Product: Red Hat Linux
Classification: Retired
Component: gv (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-04-01 21:05 EST by Jim Nance
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-14 18:08:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Nance 2002-04-01 21:05:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
When printing a pdf file with Ghost View, a temporary file seems to be generated
that is based on the name of the original input file.  If the original file name
contained a space, Ghost View does not escape the space properly (though it
seems to try):

tricia> gv NORTH\ CAROLINA.pdf 
Error: /undefinedfilename in (CAROLINA.ps.tmp)
Operand stack:

Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1029/1476(ro)(G)--   --dict:0/20(G)--   --dict:83/200(L)--
Current allocation mode is local
Last OS error: 2
GNU Ghostscript 6.51: Unrecoverable error, exit code 1
Warning - Cannot open file '/usr/local/home/jlnance/gv_3ca9118d_1_NORTH
CAROLINA.ps.tmp', No such file or directory
lp: nothing to print

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run the command :gv NORTH\ CAROLINA.pdf
2.Select file->Print

Additional info:
Comment 1 Jim Nance 2002-04-01 21:09:04 EST
Well, I cant attach the pdf file for some reason, but I dont think its really
necessary.  Any pdf file with a space in the name should work.  I verified that
renaming NORTH CAROLINA.pdf to nc.pdf allowed it to be printed.
Comment 2 Dan Williams 2004-05-14 18:08:09 EDT
seems to be fixed

Note You need to log in before you can comment on or make changes to this bug.